SecurityUpdate SSL

Update SSL

Update SSL of HTTP pull zone

curl -X POST "https://api.5centscdn.com/v2/zones/http/pull/42/ssl" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "enabled": "",
  "warning": false,
  "name": "",
  "http2": true,
  "redirect": false,
  "mode": "S",
  "certid": 42,
  "crt": "",
  "key": "",
  "cabundle": ""
}'
{
  "result": "success",
  "message": "Zone updated successfully",
  "zone": {
    "type": "pull",
    "id": 12345,
    "serviceid": 67890,
    "mode": "http",
    "cnames": "",
    "edgeruleids": 0,
    "deleted": null,
    "name": "my-cdn-zone",
    "hashid": "abc123def456",
    "fqdn": "cdn.example.com",
    "edgerules": {
      "enabled": "N"
    },
    "domainlock": {
      "policy": "N",
      "list": "example.com,cdn.example.com",
      "ips": "203.0.113.10",
      "noreferer": "N",
      "type": "push",
      "enabled": "N",
      "active": "N"
    },
    "geoblock": {
      "policy": "N",
      "list": [
        "US",
        "GB"
      ],
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "securetoken": {
      "policy": "F",
      "keyip": "N",
      "list": "ab12cd34ef56gh78",
      "timeout": 3600,
      "session": "0",
      "ips": "",
      "dirs": "",
      "enabled": "N",
      "active": "N"
    },
    "eac": {
      "policy": "N",
      "list": "http://example.com/auth.script",
      "ips": "203.0.113.10",
      "enabled": "N",
      "active": "N"
    },
    "ssl": {
      "http": "N",
      "http2": "Y",
      "redirect": "Y",
      "mode": "S",
      "certid": null,
      "zerossl": null,
      "enabled": "Y",
      "warning": false
    },
    "cache": {
      "smart": "0",
      "cache": "4h",
      "expiry": "1M",
      "querystring": "N",
      "cachecontrol": "Y",
      "usestale": "Y",
      "revalidate": "Y",
      "cacheInSecs": 14400,
      "cacheInMins": 240,
      "expiryInSecs": 2592000,
      "expiryInMins": 43200
    },
    "edge": {
      "compression": "N",
      "compressionlevel": 5,
      "disposition": "N",
      "stripcookie": "N",
      "xff": "N",
      "cors": "Y",
      "webp": "N",
      "pseudostreaming": "N",
      "wp": "N",
      "lfo": "Y",
      "prefresh": "N"
    },
    "shield": {
      "shields": [
        "CA",
        "FR"
      ]
    },
    "waf": {
      "enabled": "N"
    },
    "seo": {
      "id": 12345,
      "type": "pull",
      "canonical": "N",
      "mode": "default",
      "robots": "N",
      "robotstxt": "N",
      "robotstxtcustom": ""
    },
    "ftpdetails": {
      "username": "user_67890_push_12345",
      "password": "••••••••"
    },
    "ssl_enabled": "Y"
  },
  "warnings": []
}
POST
/zones/http/pull/{zoneid}/ssl
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
enabledstring

Always sent as empty string. SSL state is determined by the mode field.

warningboolean

SSL configuration warning indicator. Always false in request payloads.

namestring

Name of the SSL certificate. Only applicable when uploading a new custom certificate.

http2boolean

Enable or disable HTTP/2 protocol. true = HTTP/2 enabled. false = HTTP/1.1 only.

redirectboolean

Enable or disable HTTPS redirect. true = all HTTP requests are redirected to HTTPS with a 301 Moved Permanently response. false = allow both HTTP and HTTPS.

modestring

SSL certificate type. N = None (no SSL, HTTP only). S = Shared (5centsCDN shared wildcard certificate). L = Free SSL (auto-provisioned via ZeroSSL/Let's Encrypt, requires at least one CNAME configured). C = Custom (upload your own certificate).

Options: N, S, L, C
certidinteger

ID of the custom SSL certificate to use. Required when mode is C. Null for all other modes.

crtstring

SSL certificate content in PEM format (CRT). Only applicable when uploading a new custom certificate.

keystring

Private key in PEM format. Only applicable when uploading a new custom certificate.

cabundlestring

Certificate Authority (CA) bundle in PEM format. Only applicable when uploading a new custom certificate.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
enabledstring

Always sent as empty string. SSL state is determined by the mode field.

Example:
warningboolean

SSL configuration warning indicator. Always false in request payloads.

Example:
false
namestring

Name of the SSL certificate. Only applicable when uploading a new custom certificate.

Example:
http2boolean

Enable or disable HTTP/2 protocol. true = HTTP/2 enabled. false = HTTP/1.1 only.

Example:
true
redirectboolean

Enable or disable HTTPS redirect. true = all HTTP requests are redirected to HTTPS with a 301 Moved Permanently response. false = allow both HTTP and HTTPS.

Example:
false
modestring

SSL certificate type. N = None (no SSL, HTTP only). S = Shared (5centsCDN shared wildcard certificate). L = Free SSL (auto-provisioned via ZeroSSL/Let's Encrypt, requires at least one CNAME configured). C = Custom (upload your own certificate).

Allowed values:NSLC
certidinteger

ID of the custom SSL certificate to use. Required when mode is C. Null for all other modes.

Example:
42
crtstring

SSL certificate content in PEM format (CRT). Only applicable when uploading a new custom certificate.

Example:
keystring

Private key in PEM format. Only applicable when uploading a new custom certificate.

Example:
cabundlestring

Certificate Authority (CA) bundle in PEM format. Only applicable when uploading a new custom certificate.

Example:

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.

zoneobject
warningsstring[]

Array of non-fatal warning messages from the operation.